org.jbpm.services.task.commands

## Class GetAllTaskDefinitionsCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskDef>>
  - - org.jbpm.services.task.commands.GetAllTaskDefinitionsCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.internal.task.api.model.TaskDef>>, org.kie.api.command.Command<List<org.kie.internal.task.api.model.TaskDef>>

      public class GetAllTaskDefinitionsCommand
      extends TaskCommand<List<org.kie.internal.task.api.model.TaskDef>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllTaskDefinitionsCommand()`
    `GetAllTaskDefinitionsCommand(String filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.model.TaskDef>` | `execute(org.kie.internal.command.Context cntxt)`
    `String` | `getFilter()`
    `void` | `setFilter(String filter)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAllTaskDefinitionsCommand

          public GetAllTaskDefinitionsCommand()

    - #### GetAllTaskDefinitionsCommand

          public GetAllTaskDefinitionsCommand(String filter)

  - ### Method Detail

    - #### getFilter

          public String getFilter()

    - #### setFilter

          public void setFilter(String filter)

    - #### execute

          public List<org.kie.internal.task.api.model.TaskDef> execute(org.kie.internal.command.Context cntxt)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.